Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_serializer_serialize_model_to_file

## Name

librdf_serializer_serialize_model_to_file -- Write a librdf_model into a serialized form to a file

## Synopsis

``int `librdf_serializer_serialize_model_to_file`` (librdf_serializer* `serializer`, const char * `name`, librdf_uri* `base_uri`, librdf_model* `model`);`

## Arguments

`serializer`

  the serializer

`name`

  filename to serialize to

`base_uri`

  the base URI to use or NULL

`model`

  the librdf_model model to use

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_serializer_serialize_model | Up | librdf_init_serializer